import { faPlus, faUserPlus } from "@fortawesome/pro-solid-svg-icons"
import { faEye, faLeftLong } from "@fortawesome/pro-regular-svg-icons"
import { faCirclePlay } from "@fortawesome/pro-thin-svg-icons"
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome"
import { useState } from "react"
import Logo from "../../components/Logo"
import BurgerMenu from "../../components/BurgerMenu"
import OptionButton from "../../components/OptionButton"

export default function Home() {
  const [heWantsToPlay, setHeWantsToPlay] = useState<boolean | null>(false)
  return (
    <div className="h-full bg-theme">
      <BurgerMenu />
      <div className="mx-auto flex h-full max-w-screen-md flex-col items-center justify-evenly">
        <Logo />
        {!heWantsToPlay ? (
          <>
            <div className="transition-color flex h-32 w-64 max-w-screen-sm items-center justify-center rounded-xl border-4 border-black bg-[#2227] duration-200">
              <FontAwesomeIcon className="text-6xl" icon={faCirclePlay} />
            </div>
            <button
              className="font-farro rounded-lg border-b-4 border-orange-400 bg-warn px-12 pt-5 pb-4 text-2xl font-bold duration-100 active:border-t-4 active:border-b-0"
              onClick={() => setTimeout(() => setHeWantsToPlay(true), 200)}
            >
              START
            </button>
          </>
        ) : (
          <div className="gap flex w-full flex-col items-center rounded-xl border-4 border-black bg-grayish p-12 shadow-lg">
            <button
              className="mt-[-1.5rem] w-40 self-start rounded-lg border-2 border-black bg-voidDark px-2 text-5xl text-grayish"
              onClick={() => setHeWantsToPlay(false)}
            >
              <FontAwesomeIcon icon={faLeftLong} />
            </button>
            <div className="flex flex-col items-center gap-12">
              <OptionButton icon={faPlus}>Raum erstellen</OptionButton>
              <OptionButton icon={faUserPlus}>Raum beitreten</OptionButton>
              <OptionButton icon={faEye}>Zuschauen</OptionButton>
            </div>
          </div>
        )}
      </div>
    </div>
  )
}
